Bug 310691 - SELinux is preventing /sbin/alsactl (alsa_t) "search" to root (sysadm_home_dir_t).
SELinux is preventing /sbin/alsactl (alsa_t) "search" to root (sysadm_home_di...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 08:20 EDT by Rodd Clarkson
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2007-09-28 08:20:44 EDT
Summary
    SELinux is preventing /sbin/alsactl (alsa_t) "search" to root
    (sysadm_home_dir_t).

Detailed Description
    SELinux denied access requested by /sbin/alsactl. It is not expected that
    this access is required by /sbin/alsactl and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for root, restorecon -v root If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:alsa_t:s0
Target Context                root:object_r:sysadm_home_dir_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         alsa-utils-1.0.14-2.fc8
                              [application]filesystem-2.4.11-1.fc8 [target]
Policy RPM                    selinux-policy-3.0.8-2.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.23-0.184.rc6.git4.fc8 #1 SMP Fri Sep 14
                              17:42:59 EDT 2007 i686 i686
Alert Count                   11
First Seen                    Sat 15 Sep 2007 05:58:21 PM EST
Last Seen                     Fri 21 Sep 2007 12:28:52 AM EST
Local ID                      662c8a5d-184a-4f49-932d-5b737945998f
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm=alsactl dev=sda9 egid=0 euid=0 exe=/sbin/alsactl
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=root pid=12563
scontext=system_u:system_r:alsa_t:s0 sgid=0 subj=system_u:system_r:alsa_t:s0
suid=0 tclass=dir tcontext=root:object_r:sysadm_home_dir_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-09-28 09:14:45 EDT
selinux-policy-3.0.8-15.fc8
Comment 2 Daniel Walsh 2008-01-30 14:19:33 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.